﻿@model PagedList<DomainModels.Entities.Financial.TransactionExcelFile>


@{
    ViewBag.Title = "لیست فایل های اکسل";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().DocumentNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().PayPrice)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Description)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
					<td>
						@Html.DisplayFor(modelItem => item.DocumentNumber)
					</td>
                    <td>
                        @Html.ShowNumberWithCommaSeperator(item.PayPrice) ریال
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
					<td>
						@Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
